# GitHub Contributors Spotlight

[![License: MIT](https://img.shields.io/badge/License-MIT-blue.svg)](https://opensource.org/licenses/MIT)
[![PRs Welcome](https://img.shields.io/badge/PRs-welcome-brightgreen.svg)](https://github.com/Adeel91/contributors-spotlight/pulls)

✨ Automatically generate a dynamic spotlight showcasing your GitHub contributors. 🌟 This tool fetches your contributors and creates a well-formatted `CONTRIBUTORS.md` file showcasing:

- 🏆 **Top 5 Contributors** with avatars, names, and commit counts
- 🌟 **All Contributors** in a responsive grid layout
- 📅 **Auto-updating** timestamp

## ✨ Features

- Zero configuration for public repositories
- Automatic daily updates via GitHub Actions
- Responsive design that works on all devices
- Customizable templates for branding
- Supports both personal and organization repos

## 🚀 Quick Start

1. **Add to your repository**:

   ```bash
   git clone git@github.com:nyvoda/contributors-spotlight.git
   cd contributors-spotlight
   npm install
   ```

   Or, install the package from npm registry

   ```bash
   npm install @nyvoda/contributors-spotlight
   yarn install @nyvoda/contributors-spotlight
   ```
